Subject: Re: [PATCH] fsck: do not loop infinitely when processing packs

From: Jeff King <[email-masked]>
Date: Mon, 23 Feb 2026 04:25:23 -0500

On Mon, Feb 23, 2026 at 09:46:00AM +0100, Patrick Steinhardt wrote:

> As pointed out in [1] the root cause is actually something different,
> and we merely expose this now with the MRU-based iteration. But I
> wouldn't mind if we eventually switched back to maintaining two lists,
> or finding a different way for how to maintain the iteration order.

Maybe I don't understand what you're saying, but isn't the root cause
the same?

Code is iterating the list, and then during that iteration calls
find_pack_entry(). The fact that fsck only calls find_pack_entry() in
some subset of cases is immaterial, I'd think. The risk is always there
when iterating now.

-Peff